# Class EndpointRegistration

#### Hierarchy

- EndpointRegistration

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/endpoint.ts:54

#####
Index

### Constructors

constructor

### Properties

chain
contract

### Methods

deserialize

## Constructors

### constructor

- new EndpointRegistration(chain, contract): EndpointRegistration

- #### Parameters

  - ##### chain: number

  - ##### contract: Buffer

  #### Returns EndpointRegistration

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/endpoint.ts:58

## Properties

### chain

chain: 2 | 1 | 3 | 8 | 5 | 6 | 4 | 22 | 7 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20 | 21 | 23 | 24 | 25 | 26 | 28 | 29 | 30 | 32 | 33 | 3104 | 4000 | 4001 | 4002 | 10002 | 10003 | 10004 | 10005 | 10006

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/endpoint.ts:55

### contract

contract: Buffer

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/endpoint.ts:56

## Methods

### `Static` deserialize

- deserialize(data): EndpointRegistration

- #### Parameters

  - ##### data: Buffer

  #### Returns EndpointRegistration

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/endpoint.ts:63

Generated using TypeDoc